Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056313 - [GTK3] HTML fullscreen API is offset on the bottom of the screen
Summary: [GTK3] HTML fullscreen API is offset on the bottom of the screen
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 19
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-22 00:00 UTC by Kevin Brosnan :kbrosnan
Modified: 2014-03-05 14:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-05 14:37:00 UTC


Attachments (Terms of Use)
Screen shot showing fullscreen offset (deleted)
2014-01-22 00:00 UTC, Kevin Brosnan :kbrosnan
no flags Details


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 979839 None None None Never

Description Kevin Brosnan :kbrosnan 2014-01-22 00:00:07 UTC
Created attachment 853507 [details]
Screen shot showing fullscreen offset

Description of problem: HTML fullscreen is offset


Version-Release number of selected component (if applicable): 29a1 (Jan-17th build)


How reproducible: Any page that invokes the HTML fullscreen API - https://developer.mozilla.org/en-US/docs/Web/Guide/API/DOM/Using_full_screen_mode


Steps to Reproduce:
1. Open a video that Firefox can play back ex. http://videos-cdn.mozilla.net/brand/Mozilla_Firefox_Manifesto_v0.2_640.webm
2. Right click on the video
3. Select fullscreen

Actual results: Video plays in full screen however the video will be offset (I suspect that the offset is the Firefox toolbar height)


Expected results: Video plays full screen centered 

Additional info: There are plenty of other ways beside video to trigger HTML fullscreen. Mozilla's nightly does not have this problem.

Comment 1 Kevin Brosnan :kbrosnan 2014-01-22 00:10:22 UTC
This is also a problem for f11 or menu > view > fullscreen.

Comment 2 Martin Stransky 2014-03-01 19:46:51 UTC
I can see it also when source browser is launched. "View Page Source" gives clipped source view.

Comment 3 Martin Stransky 2014-03-05 14:37:00 UTC
Moving upstream https://bugzilla.mozilla.org/show_bug.cgi?id=979839


Note You need to log in before you can comment on or make changes to this bug.